import java.io.*;
import java.util.*;
public class dir {

  static int indentLevel = -1;

  dir (String path) {
    listPath (new File (path));
  }

  void listPath (File path) {
    File files[];  // directory'dekidosyaların listesi

    indentLevel++;                // sayılıyor...

    // bu directory'deki dosyaların listesini hazırla
    files = path.listFiles();

    // Dosya isimlerini sıraya sok
    Arrays.sort (files);

    for (int i=0, n=files.length; i < n; i++) {
      for (int indent=0; indent < indentLevel; indent++) {
        System.out.print("    ");
      }

      System.out.println(files[i].toString());

      if (files[i].isDirectory()) {
        listPath(files[i]);
      }
    }
    indentLevel--;
  }

  public static void main (String args[]) {
    new dir(args[0]);
  }
}